import { OnInit } from '@angular/core';
import { Store } from '@ngxs/store';
import { DiagnosticsService } from '../../../rbk-utils/error-handler/diagnostic.service';
import { ActivatedRoute } from '@angular/router';
import { DiagnosticsData } from '../../../rbk-utils/error-handler/diagnostics-data';
import * as i0 from "@angular/core";
export declare class DiagnosticsDataCollectComponent implements OnInit {
    route: ActivatedRoute;
    private store;
    private diagnosticsService;
    uiConfig: import("ngx-smz-ui").NgxSmzUiConfig;
    constructor(route: ActivatedRoute, store: Store, diagnosticsService: DiagnosticsService);
    ngOnInit(): void;
    showNoDataDialog(): void;
    showFormDialog(diagnosticsData: DiagnosticsData, messages: string[]): void;
    showMessageDialog(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DiagnosticsDataCollectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DiagnosticsDataCollectComponent, "smz-ui-diagnostics-data-collect", never, {}, {}, never, never, false, never>;
}
